PHP 手冊
前一頁 |  | 下一頁

# zip_entry_open

(PHP 4 >= 4.1.0)

zip_entry_open -- Open a directory entry for reading

## Description

bool zip_entry_open ( resource zip, resource zip_entry [, string mode] )

Opens a directory entry in a zip file for reading.

## Parameters

zip

  A valid resource handle returned by zip_open().

zip_entry

  A directory entry returned by zip_read().

mode

  Any of the modes specified in the documentation of fopen().

  > 注: Currently, mode is ignored and is always "rb". This is due to the fact that zip support in PHP is read only access.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

> 注: Unlike fopen() and other similar functions, the return value of zip_entry_open() only indicates the result of the operation and is not needed for reading or closing the directory entry.

## 參考

zip_entry_close()
zip_entry_read()

前一頁 | 內容 | 下一頁
zip_entry_name | 上一層 | zip_entry_read